Tasks
For authentication instructions, see API overview.
Endpoints
get
List all task
Returns a list of task. The task are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasksResponse
No response schemapost
Create task
Create task. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringtypestringdescriptionstringdueTimestringassignedToAccountstringsourcestringexternalIdstringparentIdstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasks \ -d 'name="task1"' \ -d 'type="type1"' \ -d 'description="test tasks"' \ -d 'dueTime="15/01/2023"' \ -d 'assignedToAccount="609a8f85c2834915d0a5a5e8"' \ -d 'source="string"' \ -d 'externalId="string"' \ -d 'parentId="string"'Response
No response schemaget
Retrieve task
Returns a single tas, which you can request by passing through an id in the url.
Path parameters
idstringID of the task
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasks/:idResponse
No response schemaput
Update task
Path parameters
idstringID of the task
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasks/:idResponse
No response schemapatch
Update task soft
Update task soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the task
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasks/:idResponse
No response schemadelete
Delete task
Path parameters
idstringID of the task
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tasks/:id